import React, {useEffect, useState} from 'react'
import { NavigationContainer } from '@react-navigation/native'
import { createBottomTabNavigator } from '@react-navigation/bottom-tabs'
import { createNativeStackNavigator } from '@react-navigation/native-stack'
import { Ionicons } from '@expo/vector-icons'

import { AuthUserContext } from './src/context/AuthContext'
import {callRefresh, manageExpoPushToken} from './src/utils/Axios'



import { Platform, Text, View } from 'react-native';

import mapHome from './src/pages/map/MapHome'


const Tab = createBottomTabNavigator()
const Stack = createNativeStackNavigator()


function HomeScreen() {
  return (
    <View style={{ flex: 1, justifyContent: 'center', alignItems: 'center' }}>
      <Text>{Platform.OS}</Text>
    </View>
  );
}



function SettingsScreen() {
  return (
    <View style={{ flex: 1, justifyContent: 'center', alignItems: 'center' }}>
      <Text>Settings!</Text>
    </View>
  );
}
function App() {




  return (
    <NavigationContainer>
      <Tab.Navigator>
        <Tab.Screen name="Home" component={HomeScreen} />
        <Tab.Screen name="Settings" component={SettingsScreen} />
        <Tab.Screen name="maps" component={mapHome} />
      </Tab.Navigator>
    </NavigationContainer>
  );
}



export default App
