import React from 'react'
import { Linking, Platform, Text, TouchableOpacity, View } from 'react-native'
import { Ionicons } from '@expo/vector-icons'

const CallButton = ({ name, phone }) => {
    const makeCall = (number) => {
        let phoneNumber

        if (Platform.OS === 'android') {
            phoneNumber = 'tel:${'+number+'}'
        } else {
            phoneNumber = 'telprompt:${'+number+'}'
        }

        Linking.openURL(phoneNumber)
    }

    return (
        <TouchableOpacity
            style={{ flexDirection: 'row', margin: 10, }}
            activeOpacity={0.7}
            onPress={() => makeCall(phone)}
        >
            <View
                style={{
                    backgroundColor: 'white',
                    borderRadius: 100,
                    alignItems: 'center',
                    justifyContent: 'center',
                    height: 40,
                    width: 40,
                    borderWidth: 2,
                    borderColor: '#2533A8',
                    marginRight: 10,
                }}
            >
                <Ionicons name='ios-call' size={20} color='blue' />
            </View>
            <View
                style={{
                    alignItems: 'center',
                    justifyContent: 'center',
                    backgroundColor: 'rgba(255, 255, 255, 0.75)',
                    borderRadius: 5,
                    padding: 10,
                    opacity: '50%'
                }}
            >
                <Text
                    style={{
                        fontWeight: 'bold'
                    }}
                >
                    {name}
                </Text>
            </View>
        </TouchableOpacity>
    )
}

export default CallButton