import React from 'react';
import PropTypes from 'prop-types';
import GoogleMapReact from 'google-map-react';

const MY_API_KEY = process.env.API_KEY
const GoogleMap = ({ children, ...props }) => (
  <GoogleMapReact
    bootstrapURLKeys={{
      key: MY_API_KEY,
    }}
    {...props}
  >
    {children}
  </GoogleMapReact>
);

GoogleMap.propTypes = {
  children: PropTypes.oneOfType([
    PropTypes.node,
    PropTypes.arrayOf(PropTypes.node),
  ]),
};

GoogleMap.defaultProps = {
  children: null,
};

export default GoogleMap;
