import {API_KEY} from '@env'
const MY_API_KEY = API_KEY
console.log(MY_API_KEY)
import React, { useEffect, useState } from 'react';
import { Platform } from 'react-native';
import  jsonFile  from '../../../public/places.json';

export default function CustomMap (props){
  const [places,setPlaces]  = useState([])
  const [region, setRegion] = useState({
    latitude: 49.41273,
    longitude: 2.81853,
    latitudeDelta: 0.0922,
    longitudeDelta: 0.0421,
  });
  
  useEffect(() => {
    jsonFile.results.forEach((result) => {
      result.show = false; // eslint-disable-line no-param-reassign
    })
    setPlaces(jsonFile.results)
  }, [])

  // onChildClick callback can take two arguments: key and childProps
  const updateState = (key) => {

      const index = places.findIndex((e) => e.id === key);
      places[index].show = !places[index].show; // eslint-disable-line no-param-reassign
      setPlaces([...places])
  };
  
  const MapView = Platform.OS == "web" ? require('./mapViews/webView').default : require('./mapViews/androidView').default;
  return (<MapView places = {places} region = {region} updateState = {updateState} {...props} />)

}
