import MapView, { Callout } from "react-native-maps"
import Marker from "react-native-maps"
import { InfoWindow } from "../../../components/map/infoWindow"
import { Dimensions } from "react-native"
import { Text } from "react-native"

// export default function AndroidMapView (props) {
//   const {region, places} = props
//   console.log(places)
//   return (
//     <MapView
//       style = {{height : Dimensions.get("screen").height, width : Dimensions.get("screen").width}}
//       initialRegion = {region}
//     >
//       <MapView.Marker
//         coordinate = {{latitude : region.latitude, longitude : region.longitude}}
//         key = {0}
//       />
//     </MapView>
//   )
// }

export default function AndroidMapView (props) {
  const {region, places} = props
  console.log("been there")
  return(
    <MapView
        provider = {MapView.PROVIDER_GOOGLE}
        style = {{height : Dimensions.get("screen").height, width : Dimensions.get("screen").width}}
        initialRegion={region}
    >

      {places.map((place) => {
        return(
          <MapView.Marker
            coordinate = {{latitude : place.geometry.location.lat, longitude : place.geometry.location.lng}}
            key = {place.id}

          >
            <Callout>
              <InfoWindow {...props} place={place}/>
            </Callout>
          </MapView.Marker>
        )})}

    </MapView>
  )
}
